Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint
Interface ConnectionEndpoint

All Superinterfaces:
  Closeable

All Known Subinterfaces:
  ConnectionDelegate

All Known Implementing Classes:
  ClientConnectionDelegate, ConnectionAdvised, ServerConnectionEndpoint

public interface ConnectionEndpoint
extends Closeable

Represents the set of methods from the ConnectionDelegate that are handled on the server. The rest of the methods are handled in the advice stack.

Version:
  `$Revision: 1.10 $` $Id: ConnectionEndpoint.java,v 1.10 2006/06/27 19:44:39 timfox Exp $
Author:
  Tim Fox

Method Summary
`SessionDelegate` | `createSessionDelegate(boolean transacted, int acknowledgmentMode, boolean isXA)`
`java.lang.String` | `getClientID()`
`javax.transaction.xa.Xid[]` | `getPreparedTransactions()`
`void` | `sendTransaction(TransactionRequest request)`
`void` | `setClientID(java.lang.String id)`
`void` | `start()`
`void` | `stop()`

Methods inherited from interface org.jboss.jms.client.Closeable
`close, closing`

Method Detail

### createSessionDelegate

    public SessionDelegate createSessionDelegate(boolean transacted,
                                                 int acknowledgmentMode,
                                                 boolean isXA)
                                          throws JMSException

  Throws:
    `JMSException`

### getClientID

    public java.lang.String getClientID()
                                 throws JMSException

  Throws:
    `JMSException`

### setClientID

    public void setClientID(java.lang.String id)
                     throws JMSException

  Throws:
    `JMSException`

### start

    public void start()
               throws JMSException

  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Throws:
    `JMSException`

### sendTransaction

    public void sendTransaction(TransactionRequest request)
                         throws JMSException

  Throws:
    `JMSException`

### getPreparedTransactions

    public javax.transaction.xa.Xid[] getPreparedTransactions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.